Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.phylo.io.nexus
Class NexusFileBuilder

    java.lang.Object
      org.biojavax.bio.phylo.io.nexus.NexusFileListener.Abstract
          org.biojavax.bio.phylo.io.nexus.NexusFileBuilder

All Implemented Interfaces:
  NexusFileListener

    public class NexusFileBuilder

extends NexusFileListener.Abstract

Builds a Nexus file by listening to events.

Since:
  1.6
Author:
  Richard Holland, Tobias Thierer, Jim Balhoff

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojavax.bio.phylo.io.nexus.NexusFileListener
`NexusFileListener.Abstract`

Constructor Summary
`NexusFileBuilder()`

Method Summary
`void` | `beginFileComment()` This method will get called when a comment is started on the file, and not any block within it.
`protected void` | `blockEnded(NexusBlockParser blockParser)` This method gets called when the block parser is expected to have finished parsing a block.
`void` | `endFile()` Finished reading a file.
`void` | `endFileComment()` This method will get called when a comment is ended on the file, and not any block within it.
`void` | `fileCommentText(String comment)` This method will get called when comment text is found on the file, and not any block within it.
`NexusFile` | `getNexusFile()` Obtain the constructed file.
`void` | `setDefaultBlockParsers()` Causes the default block parsers to be assigned.
`void` | `startFile()` About to start a new file.

Methods inherited from class org.biojavax.bio.phylo.io.nexus.NexusFileListener.Abstract
`beginComment, commentText, endBlock, endComment, endTokenGroup, getBlockParser, parseToken, setBlockParser, startBlock, wantsBracketsAndBraces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NexusFileBuilder

    public NexusFileBuilder()

Method Detail

### setDefaultBlockParsers

    public void setDefaultBlockParsers()

  Description copied from interface: `NexusFileListener`
  Causes the default block parsers to be assigned. This is called by the constructor of the abstract implementation. If it is not called, then at least the unknown block parser must be set by other means.

  Specified by:
    `setDefaultBlockParsers` in interface `NexusFileListener`
  Overrides:
    `setDefaultBlockParsers` in class `NexusFileListener.Abstract`

### blockEnded

    protected void blockEnded(NexusBlockParser blockParser)

  Description copied from class: `NexusFileListener.Abstract`
  This method gets called when the block parser is expected to have finished parsing a block.

  Specified by:
    `blockEnded` in class `NexusFileListener.Abstract`
  Parameters:
    `blockParser` - the parser that has finished.

### startFile

    public void startFile()

  Description copied from interface: `NexusFileListener`
  About to start a new file.

### endFile

    public void endFile()

  Description copied from interface: `NexusFileListener`
  Finished reading a file.

### getNexusFile

    public NexusFile getNexusFile()

  Obtain the constructed file.

  Returns:
    the constructed file.

### beginFileComment

    public void beginFileComment()

  Description copied from class: `NexusFileListener.Abstract`
  This method will get called when a comment is started on the file, and not any block within it.

  Specified by:
    `beginFileComment` in class `NexusFileListener.Abstract`

### fileCommentText

    public void fileCommentText(String comment)

  Description copied from class: `NexusFileListener.Abstract`
  This method will get called when comment text is found on the file, and not any block within it.

  Specified by:
    `fileCommentText` in class `NexusFileListener.Abstract`
  Parameters:
    `comment` - the comment text.

### endFileComment

    public void endFileComment()

  Description copied from class: `NexusFileListener.Abstract`
  This method will get called when a comment is ended on the file, and not any block within it.

  Specified by:
    `endFileComment` in class `NexusFileListener.Abstract`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD